安装 secGear

操作系统

openEuler 21.03、openEuler 20.03 LTS SP2 或更高版本

CPU 架构

x86_64

需要有 Intel SGX ( Intel Software Guard Extensions ) 功能

AArch64

  • 硬件要求

    项目版本
    服务器TaiShan 200 服务器(型号 2280),仅限双路服务器
    主板鲲鹏主板
    BMC1711 单板(型号 BC82SMMAB)
    CPU鲲鹏 920 处理器(型号 7260、5250、5220)
    机箱不限,建议 8 盘或 12 盘

    要求运行的泰山服务器已经预置了 TrustZone 特性,即预装 iTrustee 安全 OS 以及配套的 BMC、BIOS 固件。

  • 运行环境要求

    CA(Client Application)应用需要 REE(Rich Execution Environment)侧 patch 才能实现与 TEE(Trusted Execution Environment)侧的 TA(Trusted Application)应用通信,在安装 secGear 前,请先搭建运行环境,操作如下:

    1. 搭建 TA/CA 应用运行环境

    2. 申请调测环境TA应用开发者证书

      a. 生成 configs.xml 文件

      b. 申请 TA 开发者证书

安装指导

使用 secGear 机密计算编程框架,需要安装 secGear、secGear-devel 开发包。安装前,请确保已经配置了openEuler yum 源。

  1. 使用 root 权限,安装 secGear 组件,参考命令如下:

    #yum install secGear
    #yum install secGear-devel
    
  2. 查看安装是否成功。参考命令如下,若回显有对应软件包,表示安装成功:

    #rpm -q secGear 
    #rpm -q secGear-devel
    

文档捉虫

“有虫”文档片段

问题描述

提交类型 issue
有点复杂...
找人问问吧。
PR
小问题,全程线上修改...
一键搞定!
问题类型
规范和低错类

● 错别字或拼写错误;标点符号使用错误;

● 链接错误、空单元格、格式错误;

● 英文中包含中文字符;

● 界面和描述不一致,但不影响操作;

● 表述不通顺,但不影响理解;

● 版本号不匹配:如软件包名称、界面版本号;

易用性

● 关键步骤错误或缺失,无法指导用户完成任务;

● 缺少必要的前提条件、注意事项等;

● 图形、表格、文字等晦涩难懂;

● 逻辑不清晰,该分类、分项、分步骤的没有给出;

正确性

● 技术原理、功能、规格等描述和软件不一致,存在错误;

● 原理图、架构图等存在错误;

● 命令、命令参数等错误;

● 代码片段错误;

● 命令无法完成对应功能;

● 界面错误,无法指导操作;

风险提示

● 对重要数据或系统存在风险的操作,缺少安全提示;

内容合规

● 违反法律法规,涉及政治、领土主权等敏感词;

● 内容侵权;

您对文档的总体满意度

非常不满意
非常满意
提交
根据您的反馈,会自动生成issue模板。您只需点击按钮,创建issue即可。